TopoGeo_AddLineString
Prev | 10.5. Topology Constructors | Next

## Name

TopoGeo_AddLineString — Adds a linestring to an existing topology using a tolerance and possibly splitting existing edges/faces. Returns edge identifiers.

## Synopsis

`SETOF integer TopoGeo_AddLineString(`varchar atopology, geometry aline, float8 tolerance`)`;

## Description

Adds a linestring to an existing topology and returns a set of edge identifiers forming it up. The given line will snap to existing nodes or edges within given tolerance. Existing edges and faces may be split by the line.

Updating statistics about topologies being loaded via this function is up to caller, see maintaining statistics during topology editing and population.

Availability: 2.0.0

## See Also

TopoGeo_AddPoint, TopoGeo_AddPolygon, AddEdge, CreateTopology

Prev | Up | Next
TopoGeo_AddPoint | Home | TopoGeo_AddPolygon